
<div style="display:flex; flex-direction:column; align-items:center; gap:100px; margin-top:50px">
    <div style="display:flex; gap:20px;">
        <button  onclick="changecolor('red')" style="background-color: red">Red</button>
        <button  onclick="changecolor('blue')" style="background-color: blue">Blue</button>
        <button  onclick="changecolor('green')" style="background-color: green;">Green</button>
    </div>
    <div style="display:flex; justify-content: center; align-items:center; align-content: center; gap: 25px;">
        <div id="name" style="height: 300px; width: 300px; background-color: black; text-decoration-color: white; border:3px solid black; display: flex; justify-content: center; 
        align-items: center;"></div>
    
        <div id="name1" style="height: 300px; width: 300px; text-decoration-color: white; border:3px solid black; display: flex; 
        justify-content: center; align-items: center;">
            Black
        </div> 
    </div>
</div>

<script>
    function changecolor(c){
      console.log(c)
      document.getElementById('name').style.background = c;
      document.getElementById('name1').textContent = c;
    }
 
 </script>


<button (click)="changecolor('red')" style="background-color: red">Red</button>
<button (click)="changecolor('blue')" style="background-color: blue">Blue</button>
<button (click)="changecolor('green')" style="background-color: green;">Green</button>

<div style="display:flex; gap: 25px;">
<div id="background-div" style="height: 300px; width: 300px; background-color: black; margin-top: 20px;"></div>

<div id="cantent-div" style="height: 300px; width: 300px;text-decoration-color: white; border:3px solid black; margin-top:20px;">
  {{color}}
</div> 
</div>
